Skip to main content
GET
/
addresses
cURL
curl https://api.goshippo.com/addresses/ \
 -H "Authorization: ShippoToken <API_TOKEN>"
{
  "next": "baseurl?page=3&results=10",
  "previous": "baseurl?page=1&results=10",
  "results": [
    {
      "country": "US",
      "name": "Shwan Ippotle",
      "company": "Shippo",
      "street1": "215 Clayton St.",
      "street2": "<string>",
      "street3": "",
      "street_no": "",
      "city": "San Francisco",
      "state": "CA",
      "zip": "94117",
      "phone": "+1 555 341 9393",
      "email": "shippotle@shippo.com",
      "is_residential": true,
      "metadata": "Customer ID 123456",
      "is_complete": true,
      "latitude": 123,
      "longitude": 123,
      "object_created": "2014-07-09T02:19:13.174Z",
      "object_id": "d799c2679e644279b59fe661ac8fa488",
      "object_owner": "shippotle@shippo.com",
      "object_updated": "2014-07-09T02:19:13.174Z",
      "validation_results": {
        "is_valid": false,
        "messages": [
          {
            "code": "Unknown Street",
            "source": "Shippo Address Validator",
            "text": "City, State and ZIP Code are valid, but street address is not a match.",
            "type": "address_warning"
          }
        ]
      },
      "test": false
    }
  ]
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Query Parameters

page
integer<int64>
default:1

The page number you want to select

results
integer<int64>
default:5

The number of results to return per page (max 100, default 5)

Required range: x <= 100

Response

Paginated list of addresses

next
string
Example:

"baseurl?page=3&results=10"

previous
string
Example:

"baseurl?page=1&results=10"

results
object[]